CVE-2001-0948
CVSS7.5
发布时间 :2001-12-04 00:00:00
修订时间 :2016-10-17 22:13:47
NMCOS    

[原文]Cross-site scripting (CSS) vulnerability in ValiCert Enterprise Validation Authority (EVA) 3.3 through 4.2.1 allows remote attackers to execute arbitrary code or display false information by including HTML or script in the certificate's description, which is executed when the certificate is viewed.


[CNNVD]ValiCert Enterprise Validation Authority 跨站脚本执行漏洞(CNNVD-200112-005)

        CVE(CAN) ID: CAN-2001-0948
        
        
        
        The ValiCert Validation Authority提供了综合,可靠和可升级的数字证书验证体系,可以实时支持任何证书授权机构的证书。
        
        
        
        该软件存在一个安全问题,可能导致用户敏感信息泄露。
        
        
        
        这是由于在创建证书时,描述域没有过滤用户输入的HTML代码,当在ValiCert管理服务器查看该证书时,可能引起跨站脚本攻击。
        
        
        
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:valicert:enterprise_validation_authority:3.7
cpe:/a:valicert:enterprise_validation_authority:3.8
cpe:/a:valicert:enterprise_validation_authority:3.3
cpe:/a:valicert:enterprise_validation_authority:4.2
cpe:/a:valicert:enterprise_validation_authority:3.6
cpe:/a:valicert:enterprise_validation_authority:3.9
cpe:/a:valicert:enterprise_validation_authority:3.4
cpe:/a:valicert:enterprise_validation_authority:4.2.1
cpe:/a:valicert:enterprise_validation_authority:4.1
cpe:/a:valicert:enterprise_validation_authority:3.5
cpe:/a:valicert:enterprise_validation_authority:4.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0948
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0948
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200112-005
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=100749428517090&w=2
(UNKNOWN)  BUGTRAQ  20011204 NMRC Advisory - Multiple Valicert Problems
http://www.securityfocus.com/bid/3619
(VENDOR_ADVISORY)  BID  3619
http://www.valicert.com/support/security_advisory_eva.html
(VENDOR_ADVISORY)  CONFIRM  http://www.valicert.com/support/security_advisory_eva.html
http://xforce.iss.net/static/7650.php
(VENDOR_ADVISORY)  XF  eva-admin-script-injection(7650)

- 漏洞信息

ValiCert Enterprise Validation Authority 跨站脚本执行漏洞
高危 输入验证
2001-12-04 00:00:00 2005-10-20 00:00:00
远程  
        CVE(CAN) ID: CAN-2001-0948
        
        
        
        The ValiCert Validation Authority提供了综合,可靠和可升级的数字证书验证体系,可以实时支持任何证书授权机构的证书。
        
        
        
        该软件存在一个安全问题,可能导致用户敏感信息泄露。
        
        
        
        这是由于在创建证书时,描述域没有过滤用户输入的HTML代码,当在ValiCert管理服务器查看该证书时,可能引起跨站脚本攻击。
        
        
        
        

- 公告与补丁

        
        
        临时解决方法:
        
        
        
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        
        
        
        * 只查看受信用户的数字证书
        
        
        
        厂商补丁:
        
        
        
        厂商已经发布了升级版本4.4.2以修复此安全问题,请立刻通过support@valicert.com联系厂商以获得技术支持。
        
        厂商已经为此发布了一个安全公告:
        
        
        http://www.valicert.com/support/security_advisory_eva.html

- 漏洞信息

9201
ValiCert Enterprise Validation Authority Certificate Description XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2001-12-04 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

ValiCert Enterprise Validation Authority Code Execution Vulnerability
Input Validation Error 3619
Yes No
2001-12-04 12:00:00 2009-07-11 09:06:00
Discovered and posted to Bugtraq by Information Anarchy 2K01 <advisories@nmrc.org>.

- 受影响的程序版本

Valicert Enterprise Validation Authority 4.2.1
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6
Valicert Enterprise Validation Authority 4.2
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6
Valicert Enterprise Validation Authority 4.1
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6
Valicert Enterprise Validation Authority 4.0
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6
Valicert Enterprise Validation Authority 3.9
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6
Valicert Enterprise Validation Authority 3.8
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6
Valicert Enterprise Validation Authority 3.7
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6
Valicert Enterprise Validation Authority 3.6
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6
Valicert Enterprise Validation Authority 3.5
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6
Valicert Enterprise Validation Authority 3.4
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6
Valicert Enterprise Validation Authority 3.3
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6
Valicert Enterprise Validation Authority 4.2.2
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6

- 不受影响的程序版本

Valicert Enterprise Validation Authority 4.2.2
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Sun Solaris 2.8
- Sun Solaris 2.7
- Sun Solaris 2.6

- 漏洞讨论

The ValiCert Validation Authority delivers a comprehensive, scalable and reliable framework for validating digital certificates, issued by any certificate authority, in real time.

It is reportedly possible for a user to include HTML code in the description field when creating a certificate. Upon viewing the certificate from the ValiCert adminsistrative server, the HTML will be rendered as part of the interface.

Attackers may exploit this vulnerability to launch cross-site scripting attacks.

- 漏洞利用

There is no exploit code required.

- 解决方案

An updated version 4.2.2 has been released which fixes this vulnerability. ValiCert encourages users to contact support@valicert.com for support information.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站